com.sun.j3d.utils.behaviors.picking

## Class Intersect

- java.lang.Object
- - com.sun.j3d.utils.behaviors.picking.Intersect

- Deprecated.
  As of Java 3D version 1.2, this class is no longer needed

      public class Intersect
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Intersect()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `pointAndLine(PickPoint point, Point3d[] coordinates, int index)` Deprecated. Determines if the `PickPoint` and Line objects intersect.
    `static boolean` | `pointAndLine(PickPoint point, Point3f[] coordinates, int index)` Deprecated. Return true if line intersects with point.
    `static boolean` | `pointAndPoint(PickPoint point, Point3d pnt)` Deprecated. Determines if the `PickPoint` and `Point3d` objects intersect.
    `static boolean` | `pointAndPoint(PickPoint point, Point3f pnt)` Deprecated. Return true if pnt intersects with point.
    `static boolean` | `rayAndLine(PickRay ray, Point3d[] coordinates, int index, double[] dist)` Deprecated. Determines if the `PickRay` and Line objects intersect.
    `static boolean` | `rayAndLine(PickRay ray, Point3f[] coordinates, int index, double[] dist)` Deprecated. Return true if line intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0].
    `static boolean` | `rayAndPoint(PickRay ray, Point3d pnt, double[] dist)` Deprecated. Determines if the `PickRay` and `Point3d` objects intersect.
    `static boolean` | `rayAndPoint(PickRay ray, Point3f pnt, double[] dist)` Deprecated. Return true if point intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0].
    `static boolean` | `rayAndQuad(PickRay ray, Point3d[] coordinates, int index, double[] dist)` Deprecated. Determines if the `PickRay` and quadrilateral objects intersect.
    `static boolean` | `rayAndTriangle(PickRay ray, Point3d[] coordinates, int index, double[] dist)` Deprecated. Return true if triangle intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0].
    `static boolean` | `rayAndTriangle(PickRay ray, Point3f[] coordinates, int index, double[] dist)` Deprecated. Return true if triangle intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0].
    `static boolean` | `segmentAndLine(PickSegment segment, Point3d[] coordinates, int index, double[] dist)` Deprecated. Determines if the `PickSegment` and Line objects intersect.
    `static boolean` | `segmentAndLine(PickSegment segment, Point3f[] coordinates, int index, double[] dist)` Deprecated. Return true if line intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0].
    `static boolean` | `segmentAndPoint(PickSegment segment, Point3d pnt, double[] dist)` Deprecated. Determines if the `PickSegment` and `Point3d` objects intersect.
    `static boolean` | `segmentAndPoint(PickSegment segment, Point3f pnt, double[] dist)` Deprecated. Return true if point intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0].
    `static boolean` | `segmentAndQuad(PickSegment segment, Point3d[] coordinates, int index, double[] dist)` Deprecated. Caluates the intersection between a `PickSegment` object and a quadrilateral.
    `static boolean` | `segmentAndQuad(PickSegment segment, Point3f[] coordinates, int index, double[] dist)` Deprecated. Return true if quad intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0].
    `static boolean` | `segmentAndTriangle(PickSegment segment, Point3d[] coordinates, int index, double[] dist)` Deprecated. Caluates the intersection between a `PickSegment` object and a triangle.
    `static boolean` | `segmentAndTriangle(PickSegment segment, Point3f[] coordinates, int index, double[] dist)` Deprecated. Return true if triangle intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0].

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Intersect

          public Intersect()

      Deprecated.

  - ### Method Detail

    - #### rayAndQuad

          public static boolean rayAndQuad(PickRay ray,
                           Point3d[] coordinates,
                           int index,
                           double[] dist)

      Deprecated.
      Determines if the `PickRay` and quadrilateral objects intersect. The quadrilateral is defined as `coordinates[index]` to `coordinates[index+3]`.
      Parameters:
        `ray` - The ray to use in the intersection test.
        `coordinates` - An array holding the quadrilateral data.
        `index` - An array index that designates the starting position in the array of the quadrilateral to test.
        `dist` - On return dist[0] will be set to the distance between ray's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the ray intersects the quad, `false` if the ray does not intersect the object.

    - #### rayAndTriangle

          public static boolean rayAndTriangle(PickRay ray,
                               Point3d[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Return true if triangle intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0]. The triangle is defined by coordinates[index] to coordinates[index+2] `coordinates[index+2]`.
      Parameters:
        `ray` - The ray to use in the intersection test.
        `coordinates` - An array holding the triangle data.
        `index` - An array index that designates the starting position in the array of the triangle to test.
        `dist` - On return dist[0] will be set to the distance between ray's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the ray intersects the triangle, `false` if the ray does not intersect the object.

    - #### rayAndTriangle

          public static boolean rayAndTriangle(PickRay ray,
                               Point3f[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Return true if triangle intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0]. The triangle is defined by coordinates[index] to coordinates[index+2]
      Parameters:
        `ray` - The ray that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
        `dist` - On return dist[0] will be set to the distance between ray's origin and the point intersection, if exist.
      Returns:
        true if ray intersects triangle, else return false.

    - #### segmentAndQuad

          public static boolean segmentAndQuad(PickSegment segment,
                               Point3d[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Caluates the intersection between a `PickSegment` object and a quadrilateral. The quad is defined as coordinates[index] to coordinates[index+3]
      Parameters:
        `segment` - The segment to use in the intersection test.
        `coordinates` - An array holding the quadrilateral data.
        `index` - An array index that designates the starting position in the array of the quadrilateral to test.
        `dist` - On return dist[0] will be set to the distance between the start of the segment and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the segment intersects the quad, `false` if the segment does not intersect the object.

    - #### segmentAndQuad

          public static boolean segmentAndQuad(PickSegment segment,
                               Point3f[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Return true if quad intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0]. The quad is defined by coordinates[index] to coordinates[index+3]
      Parameters:
        `segment` - The segment that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
        `dist` - On return dist[0] will be set to the distance between segment's start and the point intersection, if exist.
      Returns:
        true if segment intersects quad, else return false.

    - #### segmentAndTriangle

          public static boolean segmentAndTriangle(PickSegment segment,
                                   Point3d[] coordinates,
                                   int index,
                                   double[] dist)

      Deprecated.
      Caluates the intersection between a `PickSegment` object and a triangle. The triangle is defined as coordinates[index] to coordinates[index+2]
      Parameters:
        `segment` - The segment to use in the intersection test.
        `coordinates` - An array holding the triangle data.
        `index` - An array index that designates the starting position in the array of the triangle to test.
        `dist` - On return dist[0] contains the distance between the start of the segment and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the segment intersects the triangle, `false` if the segment does not intersect the object.

    - #### segmentAndTriangle

          public static boolean segmentAndTriangle(PickSegment segment,
                                   Point3f[] coordinates,
                                   int index,
                                   double[] dist)

      Deprecated.
      Return true if triangle intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0]. The triangle is defined by coordinates[index] to coordinates[index+2]
      Parameters:
        `segment` - The segment that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
        `dist` - On return dist[0] will be set to the distance between segment's start and the point intersection, if exist.
      Returns:
        true if segment intersects triangle, else return false.

    - #### rayAndPoint

          public static boolean rayAndPoint(PickRay ray,
                            Point3d pnt,
                            double[] dist)

      Deprecated.
      Determines if the `PickRay` and `Point3d` objects intersect.
      Parameters:
        `ray` - The ray that is used in the intersection test.
        `pnt` - The point that is used in intersection test.
        `dist` - On return dist[0] will be set to the distance between ray's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the ray intersects the point, `false` if the ray does not intersect the object.

    - #### rayAndPoint

          public static boolean rayAndPoint(PickRay ray,
                            Point3f pnt,
                            double[] dist)

      Deprecated.
      Return true if point intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0].
      Parameters:
        `ray` - The ray that is used in intersection test.
        `pnt` - The point that is used in intersection test.
        `dist` - On return dist[0] contains the distance between ray's origin and the point intersection, if exist.
      Returns:
        true if ray intersects point, else return false.

    - #### segmentAndPoint

          public static boolean segmentAndPoint(PickSegment segment,
                                Point3d pnt,
                                double[] dist)

      Deprecated.
      Determines if the `PickSegment` and `Point3d` objects intersect.
      Parameters:
        `segment` - The segment that is used in the intersection test.
        `pnt` - The point that is used in intersection test.
        `dist` - On return dist[0] contains the distance between segment's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the segment intersects the point, `false` if the segment does not intersect the object.

    - #### segmentAndPoint

          public static boolean segmentAndPoint(PickSegment segment,
                                Point3f pnt,
                                double[] dist)

      Deprecated.
      Return true if point intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0].
      Parameters:
        `segment` - The segment that is used in intersection test.
        `pnt` - The point that is used in intersection test.
        `dist` - On return dist[0] contains the distance between segment's start and the point intersection, if exist.
      Returns:
        true if segment intersects point, else return false.

    - #### pointAndPoint

          public static boolean pointAndPoint(PickPoint point,
                              Point3d pnt)

      Deprecated.
      Determines if the `PickPoint` and `Point3d` objects intersect.
      Parameters:
        `point` - The PickPoint that is used in the intersection test.
        `pnt` - The Point3d that is used in intersection test.
      Returns:
        `true` if the PickPoint and Point3d objects intersect, `false` if the do not intersect.

    - #### pointAndPoint

          public static boolean pointAndPoint(PickPoint point,
                              Point3f pnt)

      Deprecated.
      Return true if pnt intersects with point.
      Parameters:
        `point` - The point that is used in intersection test.
        `pnt` - The point that is used in intersection test.
      Returns:
        true if point intersects pnt, else return false.

    - #### rayAndLine

          public static boolean rayAndLine(PickRay ray,
                           Point3d[] coordinates,
                           int index,
                           double[] dist)

      Deprecated.
      Determines if the `PickRay` and Line objects intersect. The line is defined as `coordinates[index]` to `coordinates[index+1]`.
      Parameters:
        `ray` - The ray that is used in the intersection test.
        `coordinates` - An array holding the line data.
        `dist` - On return dist[0] contains the distance between ray's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the ray intersects the line, `false` if the ray does not intersect the object.

    - #### rayAndLine

          public static boolean rayAndLine(PickRay ray,
                           Point3f[] coordinates,
                           int index,
                           double[] dist)

      Deprecated.
      Return true if line intersects with ray and the distance, from the origin of ray to the intersection point, is stored in dist[0]. The line is defined by coordinates[index] to coordinates[index+1]
      Parameters:
        `ray` - The ray that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
        `dist` - On return dist[0] contains the distance between ray's origin and the point intersection, if exist.
      Returns:
        true if ray intersects line, else return false.

    - #### segmentAndLine

          public static boolean segmentAndLine(PickSegment segment,
                               Point3d[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Determines if the `PickSegment` and Line objects intersect. The line is defined as `coordinates[index]` to `coordinates[index+1]`.
      Parameters:
        `segment` - The segment that is used in the intersection test.
        `coordinates` - An array holding the line data.
        `dist` - On return dist[0] contains the distance between segment's origin and the point of intersection, if it exists. The dist array should be allocated by the user.
      Returns:
        `true` if the segment intersects the line, `false` if the segment does not intersect the object.

    - #### segmentAndLine

          public static boolean segmentAndLine(PickSegment segment,
                               Point3f[] coordinates,
                               int index,
                               double[] dist)

      Deprecated.
      Return true if line intersects with segment and the distance, from the start of segment to the intersection point, is stored in dist[0]. The line is defined by coordinates[index] to coordinates[index+1]
      Parameters:
        `segment` - The segment that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
        `dist` - On return dist[0] contains the distance between segment's start and the point intersection, if exist.
      Returns:
        true if segment intersects line, else return false.

    - #### pointAndLine

          public static boolean pointAndLine(PickPoint point,
                             Point3d[] coordinates,
                             int index)

      Deprecated.
      Determines if the `PickPoint` and Line objects intersect. The line is defined as `coordinates[index]` to `coordinates[index+1]`.
      Parameters:
        `point` - The point that is used in the intersection test.
        `coordinates` - An array holding the line data.
      Returns:
        `true` if the the point intersects the line, `false` if the the point does not intersect the object.

    - #### pointAndLine

          public static boolean pointAndLine(PickPoint point,
                             Point3f[] coordinates,
                             int index)

      Deprecated.
      Return true if line intersects with point. The line is defined by coordinates[index] to coordinates[index+1]
      Parameters:
        `point` - The point that is used in intersection test.
        `coordinates` - an array of vertices.
        `index` - the vertex index
      Returns:
        true if point intersects line, else return false.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.